Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Interface BCObjectIdentifiers

public interface BCObjectIdentifiers

Object Identifiers belonging to iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle (1.3.6.1.4.1.22554)

Field Summary
`static ASN1ObjectIdentifier` | `bc` iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle 1.3.6.1.4.1.22554
`static ASN1ObjectIdentifier` | `bc_exch` key_exchange(3) algorithms
`static ASN1ObjectIdentifier` | `bc_ext` X.509 extension/certificate types 1.3.6.1.4.1.22554.4
`static ASN1ObjectIdentifier` | `bc_kem` KEM(5) algorithms
`static ASN1ObjectIdentifier` | `bc_pbe` pbe(1) algorithms 1.3.6.1.4.1.22554.1
`static ASN1ObjectIdentifier` | `bc_pbe_sha1` SHA-1(1) 1.3.6.1.4.1.22554.1.1
`static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12` SHA-1.PKCS12; 1.3.6.1.4.1.22554.1.1.2
`static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12_aes128_cbc` 1.3.6.1.4.1.22554.1.1.2.1.2
`static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12_aes192_cbc` 1.3.6.1.4.1.22554.1.1.2.1.22
`static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12_aes256_cbc` 1.3.6.1.4.1.22554.1.1.2.1.42
`static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs5` SHA-1.PKCS5; 1.3.6.1.4.1.22554.1.1.1
`static ASN1ObjectIdentifier` | `bc_pbe_sha224` SHA-2.SHA-224; 1.3.6.1.4.1.22554.1.2.4
`static ASN1ObjectIdentifier` | `bc_pbe_sha256` SHA-2.SHA-256; 1.3.6.1.4.1.22554.1.2.1
`static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12` SHA-256.PKCS12; 1.3.6.1.4.1.22554.1.2.1.2
`static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12_aes128_cbc` 1.3.6.1.4.1.22554.1.1.2.2.2
`static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12_aes192_cbc` 1.3.6.1.4.1.22554.1.1.2.2.22
`static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12_aes256_cbc` 1.3.6.1.4.1.22554.1.1.2.2.42
`static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs5` SHA-256.PKCS5; 1.3.6.1.4.1.22554.1.2.1.1
`static ASN1ObjectIdentifier` | `bc_pbe_sha384` SHA-2.SHA-384; 1.3.6.1.4.1.22554.1.2.2
`static ASN1ObjectIdentifier` | `bc_pbe_sha512` SHA-2.SHA-512; 1.3.6.1.4.1.22554.1.2.3
`static ASN1ObjectIdentifier` | `bc_sig` signature(2) algorithms
`static ASN1ObjectIdentifier` | `bike128`
`static ASN1ObjectIdentifier` | `bike192`
`static ASN1ObjectIdentifier` | `bike256`
`static ASN1ObjectIdentifier` | `dilithium`
`static ASN1ObjectIdentifier` | `dilithium2`
`static ASN1ObjectIdentifier` | `dilithium2_aes`
`static ASN1ObjectIdentifier` | `dilithium3`
`static ASN1ObjectIdentifier` | `dilithium3_aes`
`static ASN1ObjectIdentifier` | `dilithium5`
`static ASN1ObjectIdentifier` | `dilithium5_aes`
`static ASN1ObjectIdentifier` | `external_value`
`static ASN1ObjectIdentifier` | `falcon`
`static ASN1ObjectIdentifier` | `falcon_1024` 1.3.9999.3.14 OQS_OID_FALCON1024
`static ASN1ObjectIdentifier` | `falcon_512` 1.3.9999.3.11 OQS_OID_FALCON512
`static ASN1ObjectIdentifier` | `falcon_padded_1024` 1.3.9999.3.19 OQS_OID_FALCONPADDED1024
`static ASN1ObjectIdentifier` | `falcon_padded_512` 1.3.9999.3.16 OQS_OID_FALCONPADDED512
`static ASN1ObjectIdentifier` | `firesaberkem128r3`
`static ASN1ObjectIdentifier` | `firesaberkem192r3`
`static ASN1ObjectIdentifier` | `firesaberkem256r3`
`static ASN1ObjectIdentifier` | `firesaberkem90sr3`
`static ASN1ObjectIdentifier` | `frodokem1344aes`
`static ASN1ObjectIdentifier` | `frodokem1344shake`
`static ASN1ObjectIdentifier` | `frodokem640aes`
`static ASN1ObjectIdentifier` | `frodokem640shake`
`static ASN1ObjectIdentifier` | `frodokem976aes`
`static ASN1ObjectIdentifier` | `frodokem976shake`
`static ASN1ObjectIdentifier` | `hqc128`
`static ASN1ObjectIdentifier` | `hqc192`
`static ASN1ObjectIdentifier` | `hqc256`
`static ASN1ObjectIdentifier` | `id_MLDSA44_ECDSA_P256_SHA256` 2.16.840.1.114027.80.9.1.3 id-MLDSA44-ECDSA-P256-SHA256
`static ASN1ObjectIdentifier` | `id_MLDSA44_Ed25519_SHA512` 2.16.840.1.114027.80.9.1.2 id-MLDSA44-Ed25519-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA44_RSA2048_PKCS15_SHA256` 2.16.840.1.114027.80.9.1.1 id-MLDSA44-RSA2048-PKCS15-SHA256
`static ASN1ObjectIdentifier` | `id_MLDSA44_RSA2048_PSS_SHA256` 2.16.840.1.114027.80.9.1.0 id-MLDSA44-RSA2048-PSS-SHA256
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_brainpoolP256r1_SHA512` 2.16.840.1.114027.80.9.1.10 id-MLDSA65-ECDSA-brainpoolP256r1-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P256_SHA512` 2.16.840.1.114027.80.9.1.8 id-MLDSA65-ECDSA-P256-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_ECDSA_P384_SHA512` 2.16.840.1.114027.80.9.1.9 id-MLDSA65-ECDSA-P384-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_Ed25519_SHA512` 2.16.840.1.114027.80.9.1.11 id-MLDSA65-Ed25519-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PKCS15_SHA512` 2.16.840.1.114027.80.9.1.5 id-MLDSA65-RSA3072-PKCS15-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA3072_PSS_SHA512` 2.16.840.1.114027.80.9.1.4 id-MLDSA65-RSA3072-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PKCS15_SHA512` 2.16.840.1.114027.80.9.1.7 id-MLDSA65-RSA4096-PKCS15-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA65_RSA4096_PSS_SHA512` 2.16.840.1.114027.80.9.1.6 id-MLDSA65-RSA4096-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_brainpoolP384r1_SHA512` 2.16.840.1.114027.80.9.1.13 id-MLDSA87-ECDSA-brainpoolP384r1-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P384_SHA512` 2.16.840.1.114027.80.9.1.12 id-MLDSA87-ECDSA-P384-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_ECDSA_P521_SHA512` 2.16.840.1.114027.80.9.1.17 id-MLDSA87-ECDSA-P521-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_Ed448_SHAKE256` 2.16.840.1.114027.80.9.1.14 id-MLDSA87-Ed448-SHAKE256
`static ASN1ObjectIdentifier` | `id_MLDSA87_RSA3072_PSS_SHA512` 2.16.840.1.114027.80.9.1.15 id-MLDSA87-RSA3072-PSS-SHA512
`static ASN1ObjectIdentifier` | `id_MLDSA87_RSA4096_PSS_SHA512` 2.16.840.1.114027.80.9.1.16 id-MLDSA87-RSA4096-PSS-SHA512
`static ASN1ObjectIdentifier` | `kyber1024`
`static ASN1ObjectIdentifier` | `kyber1024_aes`
`static ASN1ObjectIdentifier` | `kyber512`
`static ASN1ObjectIdentifier` | `kyber512_aes`
`static ASN1ObjectIdentifier` | `kyber768`
`static ASN1ObjectIdentifier` | `kyber768_aes`
`static ASN1ObjectIdentifier` | `lightsaberkem128r3`
`static ASN1ObjectIdentifier` | `lightsaberkem192r3`
`static ASN1ObjectIdentifier` | `lightsaberkem256r3`
`static ASN1ObjectIdentifier` | `lightsaberkem90sr3`
`static ASN1ObjectIdentifier` | `linkedCertificate`
`static ASN1ObjectIdentifier` | `mayo` Mayo
`static ASN1ObjectIdentifier` | `mayo_1` 1.3.9999.8.1.3 OQS_OID_MAYO1
`static ASN1ObjectIdentifier` | `mayo_2` 1.3.9999.8.2.3 OQS_OID_MAYO2
`static ASN1ObjectIdentifier` | `mayo_3` 1.3.9999.8.3.3 OQS_OID_MAYO3
`static ASN1ObjectIdentifier` | `mayo_5` 1.3.9999.8.5.3 OQS_OID_MAYO5
`static ASN1ObjectIdentifier` | `mayo1`
`static ASN1ObjectIdentifier` | `mayo2`
`static ASN1ObjectIdentifier` | `mayo3`
`static ASN1ObjectIdentifier` | `mayo5`
`static ASN1ObjectIdentifier` | `mceliece348864_r3`
`static ASN1ObjectIdentifier` | `mceliece348864f_r3`
`static ASN1ObjectIdentifier` | `mceliece460896_r3`
`static ASN1ObjectIdentifier` | `mceliece460896f_r3`
`static ASN1ObjectIdentifier` | `mceliece6688128_r3`
`static ASN1ObjectIdentifier` | `mceliece6688128f_r3`
`static ASN1ObjectIdentifier` | `mceliece6960119_r3`
`static ASN1ObjectIdentifier` | `mceliece6960119f_r3`
`static ASN1ObjectIdentifier` | `mceliece8192128_r3`
`static ASN1ObjectIdentifier` | `mceliece8192128f_r3`
`static ASN1ObjectIdentifier` | `mldsa44_bp256` 2.16.840.1.114027.80.8.1.5 OQS_OID_MLDSA44_bp256
`static ASN1ObjectIdentifier` | `mldsa44_ed25519` 2.16.840.1.114027.80.8.1.3 OQS_OID_MLDSA44_ed25519
`static ASN1ObjectIdentifier` | `mldsa44_p256` 2.16.840.1.114027.80.8.1.4 OQS_OID_MLDSA44_p256
`static ASN1ObjectIdentifier` | `mldsa44_pss2048` 2.16.840.1.114027.80.8.1.1 OQS_OID_MLDSA44_pss2048
`static ASN1ObjectIdentifier` | `mldsa44_rsa2048` 2.16.840.1.114027.80.8.1.2 OQS_OID_MLDSA44_rsa2048
`static ASN1ObjectIdentifier` | `mldsa65_bp256` 2.16.840.1.114027.80.8.1.9 OQS_OID_MLDSA65_bp256
`static ASN1ObjectIdentifier` | `mldsa65_ed25519` 2.16.840.1.114027.80.8.1.10 OQS_OID_MLDSA65_ed25519
`static ASN1ObjectIdentifier` | `mldsa65_p256` 2.16.840.1.114027.80.8.1.8 OQS_OID_MLDSA65_p256
`static ASN1ObjectIdentifier` | `mldsa65_pss3072` 2.16.840.1.114027.80.8.1.6 OQS_OID_MLDSA65_pss3072
`static ASN1ObjectIdentifier` | `mldsa65_rsa3072` 2.16.840.1.114027.80.8.1.7 OQS_OID_MLDSA65_rsa3072
`static ASN1ObjectIdentifier` | `mldsa87_bp384` 2.16.840.1.114027.80.8.1.12 OQS_OID_MLDSA87_bp384
`static ASN1ObjectIdentifier` | `mldsa87_ed448` 2.16.840.1.114027.80.8.1.13 OQS_OID_MLDSA87_ed448
`static ASN1ObjectIdentifier` | `mldsa87_p384` 2.16.840.1.114027.80.8.1.11 OQS_OID_MLDSA87_p384
`static ASN1ObjectIdentifier` | `newHope` NewHope
`static ASN1ObjectIdentifier` | `ntruhps2048509`
`static ASN1ObjectIdentifier` | `ntruhps2048677`
`static ASN1ObjectIdentifier` | `ntruhps40961229`
`static ASN1ObjectIdentifier` | `ntruhps4096821`
`static ASN1ObjectIdentifier` | `ntruhrss1373`
`static ASN1ObjectIdentifier` | `ntruhrss701`
`static ASN1ObjectIdentifier` | `ntrulpr1013`
`static ASN1ObjectIdentifier` | `ntrulpr1277`
`static ASN1ObjectIdentifier` | `ntrulpr653`
`static ASN1ObjectIdentifier` | `ntrulpr761`
`static ASN1ObjectIdentifier` | `ntrulpr857`
`static ASN1ObjectIdentifier` | `ntrulpr953`
`static ASN1ObjectIdentifier` | `ntruplus1152`
`static ASN1ObjectIdentifier` | `ntruplus768`
`static ASN1ObjectIdentifier` | `ntruplus864`
`static ASN1ObjectIdentifier` | `old_falcon_1024`
`static ASN1ObjectIdentifier` | `old_falcon_512`
`static ASN1ObjectIdentifier` | `p256_falcon_512` 1.3.9999.3.12 OQS_OID_P256_FALCON512
`static ASN1ObjectIdentifier` | `p256_falcon_padded512` 1.3.9999.3.17 OQS_OID_P256_FALCONPADDED512
`static ASN1ObjectIdentifier` | `p256_mayo1` 1.3.9999.8.1.4 OQS_OID_P256_MAYO1
`static ASN1ObjectIdentifier` | `p256_mayo2` 1.3.9999.8.2.4 OQS_OID_P256_MAYO2
`static ASN1ObjectIdentifier` | `p256_mldsa44` 1.3.9999.7.5 OQS_OID_P256_MLDSA44
`static ASN1ObjectIdentifier` | `p256_sphincs_sha2_128f_simple` 1.3.9999.6.4.14 OQS_OID_P256_SPHINCSSHA2128FSIMPLE
`static ASN1ObjectIdentifier` | `p256_sphincs_sha2_128s_simple` 1.3.9999.6.4.17 OQS_OID_P256_SPHINCSSHA2128SSIMPLE
`static ASN1ObjectIdentifier` | `p256_sphincs_shake_128f_simple` 1.3.9999.6.7.14 OQS_OID_P256_SPHINCSSHAKE128FSIMPLE
`static ASN1ObjectIdentifier` | `p256_sphincs_shake_128s_simple` 1.3.9999.6.7.17 OQS_OID_P256_SPHINCSSHAKE128SSIMPLE
`static ASN1ObjectIdentifier` | `p384_mayo3` 1.3.9999.8.3.4 OQS_OID_P384_MAYO3
`static ASN1ObjectIdentifier` | `p384_mldsa65` 1.3.9999.7.7 OQS_OID_P384_MLDSA65
`static ASN1ObjectIdentifier` | `p384_sphincs_sha2_192f_simple` 1.3.9999.6.5.11 OQS_OID_P384_SPHINCSSHA2192FSIMPLE
`static ASN1ObjectIdentifier` | `p384_sphincs_sha2192s_simple` 1.3.9999.6.5.13 OQS_OID_P384_SPHINCSSHA2192SSIMPLE
`static ASN1ObjectIdentifier` | `p384_sphincs_shake_192f_simple` 1.3.9999.6.8.11 OQS_OID_P384_SPHINCSSHAKE192FSIMPLE
`static ASN1ObjectIdentifier` | `p384_sphincs_shake_192s_simple` 1.3.9999.6.8.13 OQS_OID_P384_SPHINCSSHAKE192SSIMPLE
`static ASN1ObjectIdentifier` | `p521_falcon_padded_1024` 1.3.9999.3.20 OQS_OID_P521_FALCONPADDED1024
`static ASN1ObjectIdentifier` | `p521_falcon1024` 1.3.9999.3.15 OQS_OID_P521_FALCON1024
`static ASN1ObjectIdentifier` | `p521_mayo5` 1.3.9999.8.5.4 OQS_OID_P521_MAYO5
`static ASN1ObjectIdentifier` | `p521_mldsa87` 1.3.9999.7.8 OQS_OID_P521_MLDSA87
`static ASN1ObjectIdentifier` | `p521_sphincs_sha2_256f_simple` 1.3.9999.6.6.11 OQS_OID_P521_SPHINCSSHA2256FSIMPLE
`static ASN1ObjectIdentifier` | `p521_sphincs_sha2_256s_simple` 1.3.9999.6.6.13 OQS_OID_P521_SPHINCSSHA2256SSIMPLE
`static ASN1ObjectIdentifier` | `p521_sphincs_shake256f_simple` 1.3.9999.6.9.11 OQS_OID_P521_SPHINCSSHAKE256FSIMPLE
`static ASN1ObjectIdentifier` | `p521_sphincs_shake256s_simple` 1.3.9999.6.9.13 OQS_OID_P521_SPHINCSSHAKE256SSIMPLE
`static ASN1ObjectIdentifier` | `picnic` Picnic
`static ASN1ObjectIdentifier` | `picnic_key`
`static ASN1ObjectIdentifier` | `picnic_signature`
`static ASN1ObjectIdentifier` | `picnic_with_sha3_512`
`static ASN1ObjectIdentifier` | `picnic_with_sha512`
`static ASN1ObjectIdentifier` | `picnic_with_shake256`
`static ASN1ObjectIdentifier` | `picnic3l1`
`static ASN1ObjectIdentifier` | `picnic3l3`
`static ASN1ObjectIdentifier` | `picnic3l5`
`static ASN1ObjectIdentifier` | `picnicl1fs`
`static ASN1ObjectIdentifier` | `picnicl1full`
`static ASN1ObjectIdentifier` | `picnicl1ur`
`static ASN1ObjectIdentifier` | `picnicl3fs`
`static ASN1ObjectIdentifier` | `picnicl3full`
`static ASN1ObjectIdentifier` | `picnicl3ur`
`static ASN1ObjectIdentifier` | `picnicl5fs`
`static ASN1ObjectIdentifier` | `picnicl5full`
`static ASN1ObjectIdentifier` | `picnicl5ur`
`static ASN1ObjectIdentifier` | `pqc_kem_bike` BIKE
`static ASN1ObjectIdentifier` | `pqc_kem_frodo` Frodo
`static ASN1ObjectIdentifier` | `pqc_kem_hqc` HQC
`static ASN1ObjectIdentifier` | `pqc_kem_kyber` Kyber
`static ASN1ObjectIdentifier` | `pqc_kem_mceliece` Classic McEliece
`static ASN1ObjectIdentifier` | `pqc_kem_ntru` NTRU
`static ASN1ObjectIdentifier` | `pqc_kem_ntrulprime`
`static ASN1ObjectIdentifier` | `pqc_kem_ntruplus` NTRU+
`static ASN1ObjectIdentifier` | `pqc_kem_ntruprime` NTRUPrime
`static ASN1ObjectIdentifier` | `pqc_kem_saber` SABER
`static ASN1ObjectIdentifier` | `pqc_kem_sike` SIKE
`static ASN1ObjectIdentifier` | `pqc_kem_sntruprime`
`static ASN1ObjectIdentifier` | `qTESLA` qTESLA
`static ASN1ObjectIdentifier` | `qTESLA_p_I`
`static ASN1ObjectIdentifier` | `qTESLA_p_III`
`static ASN1ObjectIdentifier` | `qTESLA_Rnd1_I`
`static ASN1ObjectIdentifier` | `qTESLA_Rnd1_III_size`
`static ASN1ObjectIdentifier` | `qTESLA_Rnd1_III_speed`
`static ASN1ObjectIdentifier` | `qTESLA_Rnd1_p_I`
`static ASN1ObjectIdentifier` | `qTESLA_Rnd1_p_III`
`static ASN1ObjectIdentifier` | `rainbow`
`static ASN1ObjectIdentifier` | `rainbow_III_circumzenithal`
`static ASN1ObjectIdentifier` | `rainbow_III_classic`
`static ASN1ObjectIdentifier` | `rainbow_III_compressed`
`static ASN1ObjectIdentifier` | `rainbow_V_circumzenithal`
`static ASN1ObjectIdentifier` | `rainbow_V_classic`
`static ASN1ObjectIdentifier` | `rainbow_V_compressed`
`static ASN1ObjectIdentifier` | `rsa_3072_falcon_512` 1.3.9999.3.13 OQS_OID_RSA3072_FALCON512
`static ASN1ObjectIdentifier` | `rsa_3072_falconpadded512` 1.3.9999.3.18 OQS_OID_RSA3072_FALCONPADDED512
`static ASN1ObjectIdentifier` | `rsa_3072_sphincs_sha2_128f_simple` 1.3.9999.6.4.15 OQS_OID_RSA3072_SPHINCSSHA2128FSIMPLE
`static ASN1ObjectIdentifier` | `rsa_3072_sphincs_sha2_128s_simple` 1.3.9999.6.4.18 OQS_OID_RSA3072_SPHINCSSHA2128SSIMPLE
`static ASN1ObjectIdentifier` | `rsa_3072_sphincs_shake_128f_simple` 1.3.9999.6.7.15 OQS_OID_RSA3072_SPHINCSSHAKE128FSIMPLE
`static ASN1ObjectIdentifier` | `rsa_3072_sphincs_shake_128s_simple` 1.3.9999.6.7.18 OQS_OID_RSA3072_SPHINCSSHAKE128SSIMPLE
`static ASN1ObjectIdentifier` | `rsa3072_mldsa44` 1.3.9999.7.6 OQS_OID_RSA3072_MLDSA44
`static ASN1ObjectIdentifier` | `saberkem128r3`
`static ASN1ObjectIdentifier` | `saberkem192r3`
`static ASN1ObjectIdentifier` | `saberkem256r3`
`static ASN1ObjectIdentifier` | `saberkem90sr3`
`static ASN1ObjectIdentifier` | `sikep434`
`static ASN1ObjectIdentifier` | `sikep434_compressed`
`static ASN1ObjectIdentifier` | `sikep503`
`static ASN1ObjectIdentifier` | `sikep503_compressed`
`static ASN1ObjectIdentifier` | `sikep610`
`static ASN1ObjectIdentifier` | `sikep610_compressed`
`static ASN1ObjectIdentifier` | `sikep751`
`static ASN1ObjectIdentifier` | `sikep751_compressed`
`static ASN1ObjectIdentifier` | `snova` Snova
`static ASN1ObjectIdentifier` | `snova_24_5_4_esk`
`static ASN1ObjectIdentifier` | `snova_24_5_4_shake_esk`
`static ASN1ObjectIdentifier` | `snova_24_5_4_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_24_5_4_ssk`
`static ASN1ObjectIdentifier` | `snova_24_5_5_esk`
`static ASN1ObjectIdentifier` | `snova_24_5_5_shake_esk`
`static ASN1ObjectIdentifier` | `snova_24_5_5_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_24_5_5_ssk`
`static ASN1ObjectIdentifier` | `snova_25_8_3_esk`
`static ASN1ObjectIdentifier` | `snova_25_8_3_shake_esk`
`static ASN1ObjectIdentifier` | `snova_25_8_3_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_25_8_3_ssk`
`static ASN1ObjectIdentifier` | `snova_29_6_5_esk`
`static ASN1ObjectIdentifier` | `snova_29_6_5_shake_esk`
`static ASN1ObjectIdentifier` | `snova_29_6_5_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_29_6_5_ssk`
`static ASN1ObjectIdentifier` | `snova_37_17_2_esk`
`static ASN1ObjectIdentifier` | `snova_37_17_2_shake_esk`
`static ASN1ObjectIdentifier` | `snova_37_17_2_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_37_17_2_ssk`
`static ASN1ObjectIdentifier` | `snova_37_8_4_esk`
`static ASN1ObjectIdentifier` | `snova_37_8_4_shake_esk`
`static ASN1ObjectIdentifier` | `snova_37_8_4_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_37_8_4_ssk`
`static ASN1ObjectIdentifier` | `snova_49_11_3_esk`
`static ASN1ObjectIdentifier` | `snova_49_11_3_shake_esk`
`static ASN1ObjectIdentifier` | `snova_49_11_3_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_49_11_3_ssk`
`static ASN1ObjectIdentifier` | `snova_56_25_2_esk`
`static ASN1ObjectIdentifier` | `snova_56_25_2_shake_esk`
`static ASN1ObjectIdentifier` | `snova_56_25_2_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_56_25_2_ssk`
`static ASN1ObjectIdentifier` | `snova_60_10_4_esk`
`static ASN1ObjectIdentifier` | `snova_60_10_4_shake_esk`
`static ASN1ObjectIdentifier` | `snova_60_10_4_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_60_10_4_ssk`
`static ASN1ObjectIdentifier` | `snova_66_15_3_esk`
`static ASN1ObjectIdentifier` | `snova_66_15_3_shake_esk`
`static ASN1ObjectIdentifier` | `snova_66_15_3_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_66_15_3_ssk`
`static ASN1ObjectIdentifier` | `snova_75_33_2_esk`
`static ASN1ObjectIdentifier` | `snova_75_33_2_shake_esk`
`static ASN1ObjectIdentifier` | `snova_75_33_2_shake_ssk`
`static ASN1ObjectIdentifier` | `snova_75_33_2_ssk`
`static ASN1ObjectIdentifier` | `sntrup1013`
`static ASN1ObjectIdentifier` | `sntrup1277`
`static ASN1ObjectIdentifier` | `sntrup653`
`static ASN1ObjectIdentifier` | `sntrup761`
`static ASN1ObjectIdentifier` | `sntrup857`
`static ASN1ObjectIdentifier` | `sntrup953`
`static ASN1ObjectIdentifier` | `sphincs256` Sphincs-256
`static ASN1ObjectIdentifier` | `sphincs256_with_BLAKE512`
`static ASN1ObjectIdentifier` | `sphincs256_with_SHA3_512`
`static ASN1ObjectIdentifier` | `sphincs256_with_SHA512`
`static ASN1ObjectIdentifier` | `sphincsPlus` SPHINCS+
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_128f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_128f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_128s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_128s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_192f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_192f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_192s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_192s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_256f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_256f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_256s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_haraka_256s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_interop`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_128f` 1.3.9999.6.4.13 OQS_OID_SPHINCSSHA2128FSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_128f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_128f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_128s` 1.3.9999.6.4.16 OQS_OID_SPHINCSSHA2128SSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_128s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_128s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_192f` 1.3.9999.6.5.10 OQS_OID_SPHINCSSHA2192FSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_192f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_192f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_192s` 1.3.9999.6.5.12 OQS_OID_SPHINCSSHA2192SSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_192s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_192s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_256f` 1.3.9999.6.6.10 OQS_OID_SPHINCSSHA2256FSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_256f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_256f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_256s` 1.3.9999.6.6.12 OQS_OID_SPHINCSSHA2256SSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_256s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_sha2_256s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_128f` 1.3.9999.6.7.13 OQS_OID_SPHINCSSHAKE128FSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_128f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_128f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_128s` 1.3.9999.6.7.16 OQS_OID_SPHINCSSHAKE128SSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_128s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_128s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_192f` 1.3.9999.6.8.10 OQS_OID_SPHINCSSHAKE192FSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_192f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_192f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_192s` 1.3.9999.6.8.12 OQS_OID_SPHINCSSHAKE192SSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_192s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_192s_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_256f` 1.3.9999.6.9.10 OQS_OID_SPHINCSSHAKE256FSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_256f_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_256f_r3_simple`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_256s` 1.3.9999.6.9.12 OQS_OID_SPHINCSSHAKE256SSIMPLE
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_256s_r3`
`static ASN1ObjectIdentifier` | `sphincsPlus_shake_256s_r3_simple`
`static ASN1ObjectIdentifier` | `ufiresaberkem90sr3`
`static ASN1ObjectIdentifier` | `ufiresaberkemr3`
`static ASN1ObjectIdentifier` | `ulightsaberkem90sr3`
`static ASN1ObjectIdentifier` | `ulightsaberkemr3`
`static ASN1ObjectIdentifier` | `usaberkem90sr3`
`static ASN1ObjectIdentifier` | `usaberkemr3`
`static ASN1ObjectIdentifier` | `xmss` XMSS
`static ASN1ObjectIdentifier` | `xmss_mt` XMSS^MT
`static ASN1ObjectIdentifier` | `xmss_mt_SHA256`
`static ASN1ObjectIdentifier` | `xmss_mt_SHA256ph`
`static ASN1ObjectIdentifier` | `xmss_mt_SHA512`
`static ASN1ObjectIdentifier` | `xmss_mt_SHA512ph`
`static ASN1ObjectIdentifier` | `xmss_mt_SHAKE128`
`static ASN1ObjectIdentifier` | `xmss_mt_SHAKE128_512ph`
`static ASN1ObjectIdentifier` | `xmss_mt_SHAKE128ph`
`static ASN1ObjectIdentifier` | `xmss_mt_SHAKE256`
`static ASN1ObjectIdentifier` | `xmss_mt_SHAKE256_1024ph`
`static ASN1ObjectIdentifier` | `xmss_mt_SHAKE256ph`
`static ASN1ObjectIdentifier` | `xmss_SHA256`
`static ASN1ObjectIdentifier` | `xmss_SHA256ph`
`static ASN1ObjectIdentifier` | `xmss_SHA512`
`static ASN1ObjectIdentifier` | `xmss_SHA512ph`
`static ASN1ObjectIdentifier` | `xmss_SHAKE128`
`static ASN1ObjectIdentifier` | `xmss_SHAKE128_512ph`
`static ASN1ObjectIdentifier` | `xmss_SHAKE128ph`
`static ASN1ObjectIdentifier` | `xmss_SHAKE256`
`static ASN1ObjectIdentifier` | `xmss_SHAKE256_1024ph`
`static ASN1ObjectIdentifier` | `xmss_SHAKE256ph`

Field Detail

### bc

    public static final ASN1ObjectIdentifier bc

  iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle

  1.3.6.1.4.1.22554

### bc_pbe

    public static final ASN1ObjectIdentifier bc_pbe

  pbe(1) algorithms

  1.3.6.1.4.1.22554.1

### bc_pbe_sha1

    public static final ASN1ObjectIdentifier bc_pbe_sha1

  SHA-1(1)

  1.3.6.1.4.1.22554.1.1

### bc_pbe_sha256

    public static final ASN1ObjectIdentifier bc_pbe_sha256

  SHA-2.SHA-256; 1.3.6.1.4.1.22554.1.2.1

### bc_pbe_sha384

    public static final ASN1ObjectIdentifier bc_pbe_sha384

  SHA-2.SHA-384; 1.3.6.1.4.1.22554.1.2.2

### bc_pbe_sha512

    public static final ASN1ObjectIdentifier bc_pbe_sha512

  SHA-2.SHA-512; 1.3.6.1.4.1.22554.1.2.3

### bc_pbe_sha224

    public static final ASN1ObjectIdentifier bc_pbe_sha224

  SHA-2.SHA-224; 1.3.6.1.4.1.22554.1.2.4

### bc_pbe_sha1_pkcs5

    public static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs5

  SHA-1.PKCS5; 1.3.6.1.4.1.22554.1.1.1

### bc_pbe_sha1_pkcs12

    public static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12

  SHA-1.PKCS12; 1.3.6.1.4.1.22554.1.1.2

### bc_pbe_sha256_pkcs5

    public static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs5

  SHA-256.PKCS5; 1.3.6.1.4.1.22554.1.2.1.1

### bc_pbe_sha256_pkcs12

    public static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12

  SHA-256.PKCS12; 1.3.6.1.4.1.22554.1.2.1.2

### bc_pbe_sha1_pkcs12_aes128_cbc

    public static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12_aes128_cbc

  1.3.6.1.4.1.22554.1.1.2.1.2

### bc_pbe_sha1_pkcs12_aes192_cbc

    public static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12_aes192_cbc

  1.3.6.1.4.1.22554.1.1.2.1.22

### bc_pbe_sha1_pkcs12_aes256_cbc

    public static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12_aes256_cbc

  1.3.6.1.4.1.22554.1.1.2.1.42

### bc_pbe_sha256_pkcs12_aes128_cbc

    public static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12_aes128_cbc

  1.3.6.1.4.1.22554.1.1.2.2.2

### bc_pbe_sha256_pkcs12_aes192_cbc

    public static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12_aes192_cbc

  1.3.6.1.4.1.22554.1.1.2.2.22

### bc_pbe_sha256_pkcs12_aes256_cbc

    public static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12_aes256_cbc

  1.3.6.1.4.1.22554.1.1.2.2.42

### bc_sig

    public static final ASN1ObjectIdentifier bc_sig

  signature(2) algorithms

### sphincs256

    public static final ASN1ObjectIdentifier sphincs256

  Sphincs-256

### sphincs256_with_BLAKE512

    public static final ASN1ObjectIdentifier sphincs256_with_BLAKE512

### sphincs256_with_SHA512

    public static final ASN1ObjectIdentifier sphincs256_with_SHA512

### sphincs256_with_SHA3_512

    public static final ASN1ObjectIdentifier sphincs256_with_SHA3_512

### xmss

    public static final ASN1ObjectIdentifier xmss

  XMSS

### xmss_SHA256ph

    public static final ASN1ObjectIdentifier xmss_SHA256ph

### xmss_SHA512ph

    public static final ASN1ObjectIdentifier xmss_SHA512ph

### xmss_SHAKE128_512ph

    public static final ASN1ObjectIdentifier xmss_SHAKE128_512ph

### xmss_SHAKE256_1024ph

    public static final ASN1ObjectIdentifier xmss_SHAKE256_1024ph

### xmss_SHA256

    public static final ASN1ObjectIdentifier xmss_SHA256

### xmss_SHA512

    public static final ASN1ObjectIdentifier xmss_SHA512

### xmss_SHAKE128

    public static final ASN1ObjectIdentifier xmss_SHAKE128

### xmss_SHAKE256

    public static final ASN1ObjectIdentifier xmss_SHAKE256

### xmss_SHAKE128ph

    public static final ASN1ObjectIdentifier xmss_SHAKE128ph

### xmss_SHAKE256ph

    public static final ASN1ObjectIdentifier xmss_SHAKE256ph

### xmss_mt

    public static final ASN1ObjectIdentifier xmss_mt

  XMSS^MT

### xmss_mt_SHA256ph

    public static final ASN1ObjectIdentifier xmss_mt_SHA256ph

### xmss_mt_SHA512ph

    public static final ASN1ObjectIdentifier xmss_mt_SHA512ph

### xmss_mt_SHAKE128_512ph

    public static final ASN1ObjectIdentifier xmss_mt_SHAKE128_512ph

### xmss_mt_SHAKE256_1024ph

    public static final ASN1ObjectIdentifier xmss_mt_SHAKE256_1024ph

### xmss_mt_SHA256

    public static final ASN1ObjectIdentifier xmss_mt_SHA256

### xmss_mt_SHA512

    public static final ASN1ObjectIdentifier xmss_mt_SHA512

### xmss_mt_SHAKE128

    public static final ASN1ObjectIdentifier xmss_mt_SHAKE128

### xmss_mt_SHAKE256

    public static final ASN1ObjectIdentifier xmss_mt_SHAKE256

### xmss_mt_SHAKE128ph

    public static final ASN1ObjectIdentifier xmss_mt_SHAKE128ph

### xmss_mt_SHAKE256ph

    public static final ASN1ObjectIdentifier xmss_mt_SHAKE256ph

### qTESLA

    public static final ASN1ObjectIdentifier qTESLA

  qTESLA

### qTESLA_Rnd1_I

    public static final ASN1ObjectIdentifier qTESLA_Rnd1_I

### qTESLA_Rnd1_III_size

    public static final ASN1ObjectIdentifier qTESLA_Rnd1_III_size

### qTESLA_Rnd1_III_speed

    public static final ASN1ObjectIdentifier qTESLA_Rnd1_III_speed

### qTESLA_Rnd1_p_I

    public static final ASN1ObjectIdentifier qTESLA_Rnd1_p_I

### qTESLA_Rnd1_p_III

    public static final ASN1ObjectIdentifier qTESLA_Rnd1_p_III

### qTESLA_p_I

    public static final ASN1ObjectIdentifier qTESLA_p_I

### qTESLA_p_III

    public static final ASN1ObjectIdentifier qTESLA_p_III

### sphincsPlus

    public static final ASN1ObjectIdentifier sphincsPlus

  SPHINCS+

### sphincsPlus_sha2_128s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_128s_r3

### sphincsPlus_sha2_128f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_128f_r3

### sphincsPlus_shake_128s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_shake_128s_r3

### sphincsPlus_shake_128f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_shake_128f_r3

### sphincsPlus_haraka_128s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_128s_r3

### sphincsPlus_haraka_128f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_128f_r3

### sphincsPlus_sha2_192s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_192s_r3

### sphincsPlus_sha2_192f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_192f_r3

### sphincsPlus_shake_192s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_shake_192s_r3

### sphincsPlus_shake_192f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_shake_192f_r3

### sphincsPlus_haraka_192s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_192s_r3

### sphincsPlus_haraka_192f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_192f_r3

### sphincsPlus_sha2_256s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_256s_r3

### sphincsPlus_sha2_256f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_256f_r3

### sphincsPlus_shake_256s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_shake_256s_r3

### sphincsPlus_shake_256f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_shake_256f_r3

### sphincsPlus_haraka_256s_r3

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_256s_r3

### sphincsPlus_haraka_256f_r3

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_256f_r3

### sphincsPlus_sha2_128s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_128s_r3_simple

### sphincsPlus_sha2_128f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_128f_r3_simple

### sphincsPlus_shake_128s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_shake_128s_r3_simple

### sphincsPlus_shake_128f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_shake_128f_r3_simple

### sphincsPlus_haraka_128s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_128s_r3_simple

### sphincsPlus_haraka_128f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_128f_r3_simple

### sphincsPlus_sha2_192s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_192s_r3_simple

### sphincsPlus_sha2_192f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_192f_r3_simple

### sphincsPlus_shake_192s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_shake_192s_r3_simple

### sphincsPlus_shake_192f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_shake_192f_r3_simple

### sphincsPlus_haraka_192s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_192s_r3_simple

### sphincsPlus_haraka_192f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_192f_r3_simple

### sphincsPlus_sha2_256s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_256s_r3_simple

### sphincsPlus_sha2_256f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_256f_r3_simple

### sphincsPlus_shake_256s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_shake_256s_r3_simple

### sphincsPlus_shake_256f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_shake_256f_r3_simple

### sphincsPlus_haraka_256s_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_256s_r3_simple

### sphincsPlus_haraka_256f_r3_simple

    public static final ASN1ObjectIdentifier sphincsPlus_haraka_256f_r3_simple

### sphincsPlus_interop

    public static final ASN1ObjectIdentifier sphincsPlus_interop

### sphincsPlus_sha2_128f

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_128f

  1.3.9999.6.4.13 OQS_OID_SPHINCSSHA2128FSIMPLE

### sphincsPlus_sha2_128s

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_128s

  1.3.9999.6.4.16 OQS_OID_SPHINCSSHA2128SSIMPLE

### sphincsPlus_sha2_192f

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_192f

  1.3.9999.6.5.10 OQS_OID_SPHINCSSHA2192FSIMPLE

### sphincsPlus_sha2_192s

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_192s

  1.3.9999.6.5.12 OQS_OID_SPHINCSSHA2192SSIMPLE

### sphincsPlus_sha2_256f

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_256f

  1.3.9999.6.6.10 OQS_OID_SPHINCSSHA2256FSIMPLE

### sphincsPlus_sha2_256s

    public static final ASN1ObjectIdentifier sphincsPlus_sha2_256s

  1.3.9999.6.6.12 OQS_OID_SPHINCSSHA2256SSIMPLE

### sphincsPlus_shake_128f

    public static final ASN1ObjectIdentifier sphincsPlus_shake_128f

  1.3.9999.6.7.13 OQS_OID_SPHINCSSHAKE128FSIMPLE

### sphincsPlus_shake_128s

    public static final ASN1ObjectIdentifier sphincsPlus_shake_128s

  1.3.9999.6.7.16 OQS_OID_SPHINCSSHAKE128SSIMPLE

### sphincsPlus_shake_192f

    public static final ASN1ObjectIdentifier sphincsPlus_shake_192f

  1.3.9999.6.8.10 OQS_OID_SPHINCSSHAKE192FSIMPLE

### sphincsPlus_shake_192s

    public static final ASN1ObjectIdentifier sphincsPlus_shake_192s

  1.3.9999.6.8.12 OQS_OID_SPHINCSSHAKE192SSIMPLE

### sphincsPlus_shake_256f

    public static final ASN1ObjectIdentifier sphincsPlus_shake_256f

  1.3.9999.6.9.10 OQS_OID_SPHINCSSHAKE256FSIMPLE

### sphincsPlus_shake_256s

    public static final ASN1ObjectIdentifier sphincsPlus_shake_256s

  1.3.9999.6.9.12 OQS_OID_SPHINCSSHAKE256SSIMPLE

### p256_sphincs_sha2_128f_simple

    public static final ASN1ObjectIdentifier p256_sphincs_sha2_128f_simple

  1.3.9999.6.4.14 OQS_OID_P256_SPHINCSSHA2128FSIMPLE

### rsa_3072_sphincs_sha2_128f_simple

    public static final ASN1ObjectIdentifier rsa_3072_sphincs_sha2_128f_simple

  1.3.9999.6.4.15 OQS_OID_RSA3072_SPHINCSSHA2128FSIMPLE

### p256_sphincs_sha2_128s_simple

    public static final ASN1ObjectIdentifier p256_sphincs_sha2_128s_simple

  1.3.9999.6.4.17 OQS_OID_P256_SPHINCSSHA2128SSIMPLE

### rsa_3072_sphincs_sha2_128s_simple

    public static final ASN1ObjectIdentifier rsa_3072_sphincs_sha2_128s_simple

  1.3.9999.6.4.18 OQS_OID_RSA3072_SPHINCSSHA2128SSIMPLE

### p384_sphincs_sha2_192f_simple

    public static final ASN1ObjectIdentifier p384_sphincs_sha2_192f_simple

  1.3.9999.6.5.11 OQS_OID_P384_SPHINCSSHA2192FSIMPLE

### p384_sphincs_sha2192s_simple

    public static final ASN1ObjectIdentifier p384_sphincs_sha2192s_simple

  1.3.9999.6.5.13 OQS_OID_P384_SPHINCSSHA2192SSIMPLE

### p521_sphincs_sha2_256f_simple

    public static final ASN1ObjectIdentifier p521_sphincs_sha2_256f_simple

  1.3.9999.6.6.11 OQS_OID_P521_SPHINCSSHA2256FSIMPLE

### p521_sphincs_sha2_256s_simple

    public static final ASN1ObjectIdentifier p521_sphincs_sha2_256s_simple

  1.3.9999.6.6.13 OQS_OID_P521_SPHINCSSHA2256SSIMPLE

### p256_sphincs_shake_128f_simple

    public static final ASN1ObjectIdentifier p256_sphincs_shake_128f_simple

  1.3.9999.6.7.14 OQS_OID_P256_SPHINCSSHAKE128FSIMPLE

### rsa_3072_sphincs_shake_128f_simple

    public static final ASN1ObjectIdentifier rsa_3072_sphincs_shake_128f_simple

  1.3.9999.6.7.15 OQS_OID_RSA3072_SPHINCSSHAKE128FSIMPLE

### p256_sphincs_shake_128s_simple

    public static final ASN1ObjectIdentifier p256_sphincs_shake_128s_simple

  1.3.9999.6.7.17 OQS_OID_P256_SPHINCSSHAKE128SSIMPLE

### rsa_3072_sphincs_shake_128s_simple

    public static final ASN1ObjectIdentifier rsa_3072_sphincs_shake_128s_simple

  1.3.9999.6.7.18 OQS_OID_RSA3072_SPHINCSSHAKE128SSIMPLE

### p384_sphincs_shake_192f_simple

    public static final ASN1ObjectIdentifier p384_sphincs_shake_192f_simple

  1.3.9999.6.8.11 OQS_OID_P384_SPHINCSSHAKE192FSIMPLE

### p384_sphincs_shake_192s_simple

    public static final ASN1ObjectIdentifier p384_sphincs_shake_192s_simple

  1.3.9999.6.8.13 OQS_OID_P384_SPHINCSSHAKE192SSIMPLE

### p521_sphincs_shake256f_simple

    public static final ASN1ObjectIdentifier p521_sphincs_shake256f_simple

  1.3.9999.6.9.11 OQS_OID_P521_SPHINCSSHAKE256FSIMPLE

### p521_sphincs_shake256s_simple

    public static final ASN1ObjectIdentifier p521_sphincs_shake256s_simple

  1.3.9999.6.9.13 OQS_OID_P521_SPHINCSSHAKE256SSIMPLE

### picnic

    public static final ASN1ObjectIdentifier picnic

  Picnic

### picnic_key

    public static final ASN1ObjectIdentifier picnic_key

### picnicl1fs

    public static final ASN1ObjectIdentifier picnicl1fs

### picnicl1ur

    public static final ASN1ObjectIdentifier picnicl1ur

### picnicl3fs

    public static final ASN1ObjectIdentifier picnicl3fs

### picnicl3ur

    public static final ASN1ObjectIdentifier picnicl3ur

### picnicl5fs

    public static final ASN1ObjectIdentifier picnicl5fs

### picnicl5ur

    public static final ASN1ObjectIdentifier picnicl5ur

### picnic3l1

    public static final ASN1ObjectIdentifier picnic3l1

### picnic3l3

    public static final ASN1ObjectIdentifier picnic3l3

### picnic3l5

    public static final ASN1ObjectIdentifier picnic3l5

### picnicl1full

    public static final ASN1ObjectIdentifier picnicl1full

### picnicl3full

    public static final ASN1ObjectIdentifier picnicl3full

### picnicl5full

    public static final ASN1ObjectIdentifier picnicl5full

### picnic_signature

    public static final ASN1ObjectIdentifier picnic_signature

### picnic_with_sha512

    public static final ASN1ObjectIdentifier picnic_with_sha512

### picnic_with_shake256

    public static final ASN1ObjectIdentifier picnic_with_shake256

### picnic_with_sha3_512

    public static final ASN1ObjectIdentifier picnic_with_sha3_512

### falcon

    public static final ASN1ObjectIdentifier falcon

### old_falcon_512

    public static final ASN1ObjectIdentifier old_falcon_512

### old_falcon_1024

    public static final ASN1ObjectIdentifier old_falcon_1024

### falcon_512

    public static final ASN1ObjectIdentifier falcon_512

  1.3.9999.3.11 OQS_OID_FALCON512

### p256_falcon_512

    public static final ASN1ObjectIdentifier p256_falcon_512

  1.3.9999.3.12 OQS_OID_P256_FALCON512

### rsa_3072_falcon_512

    public static final ASN1ObjectIdentifier rsa_3072_falcon_512

  1.3.9999.3.13 OQS_OID_RSA3072_FALCON512

### falcon_1024

    public static final ASN1ObjectIdentifier falcon_1024

  1.3.9999.3.14 OQS_OID_FALCON1024

### p521_falcon1024

    public static final ASN1ObjectIdentifier p521_falcon1024

  1.3.9999.3.15 OQS_OID_P521_FALCON1024

### falcon_padded_512

    public static final ASN1ObjectIdentifier falcon_padded_512

  1.3.9999.3.16 OQS_OID_FALCONPADDED512

### p256_falcon_padded512

    public static final ASN1ObjectIdentifier p256_falcon_padded512

  1.3.9999.3.17 OQS_OID_P256_FALCONPADDED512

### rsa_3072_falconpadded512

    public static final ASN1ObjectIdentifier rsa_3072_falconpadded512

  1.3.9999.3.18 OQS_OID_RSA3072_FALCONPADDED512

### falcon_padded_1024

    public static final ASN1ObjectIdentifier falcon_padded_1024

  1.3.9999.3.19 OQS_OID_FALCONPADDED1024

### p521_falcon_padded_1024

    public static final ASN1ObjectIdentifier p521_falcon_padded_1024

  1.3.9999.3.20 OQS_OID_P521_FALCONPADDED1024

### dilithium

    public static final ASN1ObjectIdentifier dilithium

### dilithium2

    public static final ASN1ObjectIdentifier dilithium2

### dilithium3

    public static final ASN1ObjectIdentifier dilithium3

### dilithium5

    public static final ASN1ObjectIdentifier dilithium5

### dilithium2_aes

    public static final ASN1ObjectIdentifier dilithium2_aes

### dilithium3_aes

    public static final ASN1ObjectIdentifier dilithium3_aes

### dilithium5_aes

    public static final ASN1ObjectIdentifier dilithium5_aes

### p256_mldsa44

    public static final ASN1ObjectIdentifier p256_mldsa44

  1.3.9999.7.5 OQS_OID_P256_MLDSA44

### rsa3072_mldsa44

    public static final ASN1ObjectIdentifier rsa3072_mldsa44

  1.3.9999.7.6 OQS_OID_RSA3072_MLDSA44

### mldsa44_pss2048

    public static final ASN1ObjectIdentifier mldsa44_pss2048

  2.16.840.1.114027.80.8.1.1 OQS_OID_MLDSA44_pss2048

### mldsa44_rsa2048

    public static final ASN1ObjectIdentifier mldsa44_rsa2048

  2.16.840.1.114027.80.8.1.2 OQS_OID_MLDSA44_rsa2048

### mldsa44_ed25519

    public static final ASN1ObjectIdentifier mldsa44_ed25519

  2.16.840.1.114027.80.8.1.3 OQS_OID_MLDSA44_ed25519

### mldsa44_p256

    public static final ASN1ObjectIdentifier mldsa44_p256

  2.16.840.1.114027.80.8.1.4 OQS_OID_MLDSA44_p256

### mldsa44_bp256

    public static final ASN1ObjectIdentifier mldsa44_bp256

  2.16.840.1.114027.80.8.1.5 OQS_OID_MLDSA44_bp256

### p384_mldsa65

    public static final ASN1ObjectIdentifier p384_mldsa65

  1.3.9999.7.7 OQS_OID_P384_MLDSA65

### mldsa65_pss3072

    public static final ASN1ObjectIdentifier mldsa65_pss3072

  2.16.840.1.114027.80.8.1.6 OQS_OID_MLDSA65_pss3072

### mldsa65_rsa3072

    public static final ASN1ObjectIdentifier mldsa65_rsa3072

  2.16.840.1.114027.80.8.1.7 OQS_OID_MLDSA65_rsa3072

### mldsa65_p256

    public static final ASN1ObjectIdentifier mldsa65_p256

  2.16.840.1.114027.80.8.1.8 OQS_OID_MLDSA65_p256

### mldsa65_bp256

    public static final ASN1ObjectIdentifier mldsa65_bp256

  2.16.840.1.114027.80.8.1.9 OQS_OID_MLDSA65_bp256

### mldsa65_ed25519

    public static final ASN1ObjectIdentifier mldsa65_ed25519

  2.16.840.1.114027.80.8.1.10 OQS_OID_MLDSA65_ed25519

### p521_mldsa87

    public static final ASN1ObjectIdentifier p521_mldsa87

  1.3.9999.7.8 OQS_OID_P521_MLDSA87

### mldsa87_p384

    public static final ASN1ObjectIdentifier mldsa87_p384

  2.16.840.1.114027.80.8.1.11 OQS_OID_MLDSA87_p384

### mldsa87_bp384

    public static final ASN1ObjectIdentifier mldsa87_bp384

  2.16.840.1.114027.80.8.1.12 OQS_OID_MLDSA87_bp384

### mldsa87_ed448

    public static final ASN1ObjectIdentifier mldsa87_ed448

  2.16.840.1.114027.80.8.1.13 OQS_OID_MLDSA87_ed448

### id_MLDSA44_RSA2048_PSS_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA44_RSA2048_PSS_SHA256

  2.16.840.1.114027.80.9.1.0 id-MLDSA44-RSA2048-PSS-SHA256

### id_MLDSA44_RSA2048_PKCS15_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA44_RSA2048_PKCS15_SHA256

  2.16.840.1.114027.80.9.1.1 id-MLDSA44-RSA2048-PKCS15-SHA256

### id_MLDSA44_Ed25519_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA44_Ed25519_SHA512

  2.16.840.1.114027.80.9.1.2 id-MLDSA44-Ed25519-SHA512

### id_MLDSA44_ECDSA_P256_SHA256

    public static final ASN1ObjectIdentifier id_MLDSA44_ECDSA_P256_SHA256

  2.16.840.1.114027.80.9.1.3 id-MLDSA44-ECDSA-P256-SHA256

### id_MLDSA65_RSA3072_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PSS_SHA512

  2.16.840.1.114027.80.9.1.4 id-MLDSA65-RSA3072-PSS-SHA512

### id_MLDSA65_RSA3072_PKCS15_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA3072_PKCS15_SHA512

  2.16.840.1.114027.80.9.1.5 id-MLDSA65-RSA3072-PKCS15-SHA512

### id_MLDSA65_RSA4096_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PSS_SHA512

  2.16.840.1.114027.80.9.1.6 id-MLDSA65-RSA4096-PSS-SHA512

### id_MLDSA65_RSA4096_PKCS15_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_RSA4096_PKCS15_SHA512

  2.16.840.1.114027.80.9.1.7 id-MLDSA65-RSA4096-PKCS15-SHA512

### id_MLDSA65_ECDSA_P256_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P256_SHA512

  2.16.840.1.114027.80.9.1.8 id-MLDSA65-ECDSA-P256-SHA512

### id_MLDSA65_ECDSA_P384_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_P384_SHA512

  2.16.840.1.114027.80.9.1.9 id-MLDSA65-ECDSA-P384-SHA512

### id_MLDSA65_ECDSA_brainpoolP256r1_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_ECDSA_brainpoolP256r1_SHA512

  2.16.840.1.114027.80.9.1.10 id-MLDSA65-ECDSA-brainpoolP256r1-SHA512

### id_MLDSA65_Ed25519_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA65_Ed25519_SHA512

  2.16.840.1.114027.80.9.1.11 id-MLDSA65-Ed25519-SHA512

### id_MLDSA87_ECDSA_P384_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P384_SHA512

  2.16.840.1.114027.80.9.1.12 id-MLDSA87-ECDSA-P384-SHA512

### id_MLDSA87_ECDSA_brainpoolP384r1_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_brainpoolP384r1_SHA512

  2.16.840.1.114027.80.9.1.13 id-MLDSA87-ECDSA-brainpoolP384r1-SHA512

### id_MLDSA87_Ed448_SHAKE256

    public static final ASN1ObjectIdentifier id_MLDSA87_Ed448_SHAKE256

  2.16.840.1.114027.80.9.1.14 id-MLDSA87-Ed448-SHAKE256

### id_MLDSA87_RSA3072_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_RSA3072_PSS_SHA512

  2.16.840.1.114027.80.9.1.15 id-MLDSA87-RSA3072-PSS-SHA512

### id_MLDSA87_RSA4096_PSS_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_RSA4096_PSS_SHA512

  2.16.840.1.114027.80.9.1.16 id-MLDSA87-RSA4096-PSS-SHA512

### id_MLDSA87_ECDSA_P521_SHA512

    public static final ASN1ObjectIdentifier id_MLDSA87_ECDSA_P521_SHA512

  2.16.840.1.114027.80.9.1.17 id-MLDSA87-ECDSA-P521-SHA512

### rainbow

    public static final ASN1ObjectIdentifier rainbow

### rainbow_III_classic

    public static final ASN1ObjectIdentifier rainbow_III_classic

### rainbow_III_circumzenithal

    public static final ASN1ObjectIdentifier rainbow_III_circumzenithal

### rainbow_III_compressed

    public static final ASN1ObjectIdentifier rainbow_III_compressed

### rainbow_V_classic

    public static final ASN1ObjectIdentifier rainbow_V_classic

### rainbow_V_circumzenithal

    public static final ASN1ObjectIdentifier rainbow_V_circumzenithal

### rainbow_V_compressed

    public static final ASN1ObjectIdentifier rainbow_V_compressed

### bc_exch

    public static final ASN1ObjectIdentifier bc_exch

  key_exchange(3) algorithms

### newHope

    public static final ASN1ObjectIdentifier newHope

  NewHope

### bc_ext

    public static final ASN1ObjectIdentifier bc_ext

  X.509 extension/certificate types

  1.3.6.1.4.1.22554.4

### linkedCertificate

    public static final ASN1ObjectIdentifier linkedCertificate

### external_value

    public static final ASN1ObjectIdentifier external_value

### bc_kem

    public static final ASN1ObjectIdentifier bc_kem

  KEM(5) algorithms

### pqc_kem_mceliece

    public static final ASN1ObjectIdentifier pqc_kem_mceliece

  Classic McEliece

### mceliece348864_r3

    public static final ASN1ObjectIdentifier mceliece348864_r3

### mceliece348864f_r3

    public static final ASN1ObjectIdentifier mceliece348864f_r3

### mceliece460896_r3

    public static final ASN1ObjectIdentifier mceliece460896_r3

### mceliece460896f_r3

    public static final ASN1ObjectIdentifier mceliece460896f_r3

### mceliece6688128_r3

    public static final ASN1ObjectIdentifier mceliece6688128_r3

### mceliece6688128f_r3

    public static final ASN1ObjectIdentifier mceliece6688128f_r3

### mceliece6960119_r3

    public static final ASN1ObjectIdentifier mceliece6960119_r3

### mceliece6960119f_r3

    public static final ASN1ObjectIdentifier mceliece6960119f_r3

### mceliece8192128_r3

    public static final ASN1ObjectIdentifier mceliece8192128_r3

### mceliece8192128f_r3

    public static final ASN1ObjectIdentifier mceliece8192128f_r3

### pqc_kem_frodo

    public static final ASN1ObjectIdentifier pqc_kem_frodo

  Frodo

### frodokem640aes

    public static final ASN1ObjectIdentifier frodokem640aes

### frodokem640shake

    public static final ASN1ObjectIdentifier frodokem640shake

### frodokem976aes

    public static final ASN1ObjectIdentifier frodokem976aes

### frodokem976shake

    public static final ASN1ObjectIdentifier frodokem976shake

### frodokem1344aes

    public static final ASN1ObjectIdentifier frodokem1344aes

### frodokem1344shake

    public static final ASN1ObjectIdentifier frodokem1344shake

### pqc_kem_saber

    public static final ASN1ObjectIdentifier pqc_kem_saber

  SABER

### lightsaberkem128r3

    public static final ASN1ObjectIdentifier lightsaberkem128r3

### saberkem128r3

    public static final ASN1ObjectIdentifier saberkem128r3

### firesaberkem128r3

    public static final ASN1ObjectIdentifier firesaberkem128r3

### lightsaberkem192r3

    public static final ASN1ObjectIdentifier lightsaberkem192r3

### saberkem192r3

    public static final ASN1ObjectIdentifier saberkem192r3

### firesaberkem192r3

    public static final ASN1ObjectIdentifier firesaberkem192r3

### lightsaberkem256r3

    public static final ASN1ObjectIdentifier lightsaberkem256r3

### saberkem256r3

    public static final ASN1ObjectIdentifier saberkem256r3

### firesaberkem256r3

    public static final ASN1ObjectIdentifier firesaberkem256r3

### ulightsaberkemr3

    public static final ASN1ObjectIdentifier ulightsaberkemr3

### usaberkemr3

    public static final ASN1ObjectIdentifier usaberkemr3

### ufiresaberkemr3

    public static final ASN1ObjectIdentifier ufiresaberkemr3

### lightsaberkem90sr3

    public static final ASN1ObjectIdentifier lightsaberkem90sr3

### saberkem90sr3

    public static final ASN1ObjectIdentifier saberkem90sr3

### firesaberkem90sr3

    public static final ASN1ObjectIdentifier firesaberkem90sr3

### ulightsaberkem90sr3

    public static final ASN1ObjectIdentifier ulightsaberkem90sr3

### usaberkem90sr3

    public static final ASN1ObjectIdentifier usaberkem90sr3

### ufiresaberkem90sr3

    public static final ASN1ObjectIdentifier ufiresaberkem90sr3

### pqc_kem_sike

    public static final ASN1ObjectIdentifier pqc_kem_sike

  SIKE

### sikep434

    public static final ASN1ObjectIdentifier sikep434

### sikep503

    public static final ASN1ObjectIdentifier sikep503

### sikep610

    public static final ASN1ObjectIdentifier sikep610

### sikep751

    public static final ASN1ObjectIdentifier sikep751

### sikep434_compressed

    public static final ASN1ObjectIdentifier sikep434_compressed

### sikep503_compressed

    public static final ASN1ObjectIdentifier sikep503_compressed

### sikep610_compressed

    public static final ASN1ObjectIdentifier sikep610_compressed

### sikep751_compressed

    public static final ASN1ObjectIdentifier sikep751_compressed

### pqc_kem_ntru

    public static final ASN1ObjectIdentifier pqc_kem_ntru

  NTRU

### ntruhps2048509

    public static final ASN1ObjectIdentifier ntruhps2048509

### ntruhps2048677

    public static final ASN1ObjectIdentifier ntruhps2048677

### ntruhps4096821

    public static final ASN1ObjectIdentifier ntruhps4096821

### ntruhrss701

    public static final ASN1ObjectIdentifier ntruhrss701

### ntruhps40961229

    public static final ASN1ObjectIdentifier ntruhps40961229

### ntruhrss1373

    public static final ASN1ObjectIdentifier ntruhrss1373

### pqc_kem_kyber

    public static final ASN1ObjectIdentifier pqc_kem_kyber

  Kyber

### kyber512

    public static final ASN1ObjectIdentifier kyber512

### kyber768

    public static final ASN1ObjectIdentifier kyber768

### kyber1024

    public static final ASN1ObjectIdentifier kyber1024

### kyber512_aes

    public static final ASN1ObjectIdentifier kyber512_aes

### kyber768_aes

    public static final ASN1ObjectIdentifier kyber768_aes

### kyber1024_aes

    public static final ASN1ObjectIdentifier kyber1024_aes

### pqc_kem_ntruprime

    public static final ASN1ObjectIdentifier pqc_kem_ntruprime

  NTRUPrime

### pqc_kem_ntrulprime

    public static final ASN1ObjectIdentifier pqc_kem_ntrulprime

### ntrulpr653

    public static final ASN1ObjectIdentifier ntrulpr653

### ntrulpr761

    public static final ASN1ObjectIdentifier ntrulpr761

### ntrulpr857

    public static final ASN1ObjectIdentifier ntrulpr857

### ntrulpr953

    public static final ASN1ObjectIdentifier ntrulpr953

### ntrulpr1013

    public static final ASN1ObjectIdentifier ntrulpr1013

### ntrulpr1277

    public static final ASN1ObjectIdentifier ntrulpr1277

### pqc_kem_sntruprime

    public static final ASN1ObjectIdentifier pqc_kem_sntruprime

### sntrup653

    public static final ASN1ObjectIdentifier sntrup653

### sntrup761

    public static final ASN1ObjectIdentifier sntrup761

### sntrup857

    public static final ASN1ObjectIdentifier sntrup857

### sntrup953

    public static final ASN1ObjectIdentifier sntrup953

### sntrup1013

    public static final ASN1ObjectIdentifier sntrup1013

### sntrup1277

    public static final ASN1ObjectIdentifier sntrup1277

### pqc_kem_bike

    public static final ASN1ObjectIdentifier pqc_kem_bike

  BIKE

### bike128

    public static final ASN1ObjectIdentifier bike128

### bike192

    public static final ASN1ObjectIdentifier bike192

### bike256

    public static final ASN1ObjectIdentifier bike256

### pqc_kem_hqc

    public static final ASN1ObjectIdentifier pqc_kem_hqc

  HQC

### hqc128

    public static final ASN1ObjectIdentifier hqc128

### hqc192

    public static final ASN1ObjectIdentifier hqc192

### hqc256

    public static final ASN1ObjectIdentifier hqc256

### mayo

    public static final ASN1ObjectIdentifier mayo

  Mayo

### mayo1

    public static final ASN1ObjectIdentifier mayo1

### mayo2

    public static final ASN1ObjectIdentifier mayo2

### mayo3

    public static final ASN1ObjectIdentifier mayo3

### mayo5

    public static final ASN1ObjectIdentifier mayo5

### mayo_1

    public static final ASN1ObjectIdentifier mayo_1

  1.3.9999.8.1.3 OQS_OID_MAYO1

### p256_mayo1

    public static final ASN1ObjectIdentifier p256_mayo1

  1.3.9999.8.1.4 OQS_OID_P256_MAYO1

### mayo_2

    public static final ASN1ObjectIdentifier mayo_2

  1.3.9999.8.2.3 OQS_OID_MAYO2

### p256_mayo2

    public static final ASN1ObjectIdentifier p256_mayo2

  1.3.9999.8.2.4 OQS_OID_P256_MAYO2

### mayo_3

    public static final ASN1ObjectIdentifier mayo_3

  1.3.9999.8.3.3 OQS_OID_MAYO3

### p384_mayo3

    public static final ASN1ObjectIdentifier p384_mayo3

  1.3.9999.8.3.4 OQS_OID_P384_MAYO3

### mayo_5

    public static final ASN1ObjectIdentifier mayo_5

  1.3.9999.8.5.3 OQS_OID_MAYO5

### p521_mayo5

    public static final ASN1ObjectIdentifier p521_mayo5

  1.3.9999.8.5.4 OQS_OID_P521_MAYO5

### snova

    public static final ASN1ObjectIdentifier snova

  Snova

### snova_24_5_4_ssk

    public static final ASN1ObjectIdentifier snova_24_5_4_ssk

### snova_24_5_4_esk

    public static final ASN1ObjectIdentifier snova_24_5_4_esk

### snova_24_5_4_shake_ssk

    public static final ASN1ObjectIdentifier snova_24_5_4_shake_ssk

### snova_24_5_4_shake_esk

    public static final ASN1ObjectIdentifier snova_24_5_4_shake_esk

### snova_24_5_5_ssk

    public static final ASN1ObjectIdentifier snova_24_5_5_ssk

### snova_24_5_5_esk

    public static final ASN1ObjectIdentifier snova_24_5_5_esk

### snova_24_5_5_shake_ssk

    public static final ASN1ObjectIdentifier snova_24_5_5_shake_ssk

### snova_24_5_5_shake_esk

    public static final ASN1ObjectIdentifier snova_24_5_5_shake_esk

### snova_25_8_3_ssk

    public static final ASN1ObjectIdentifier snova_25_8_3_ssk

### snova_25_8_3_esk

    public static final ASN1ObjectIdentifier snova_25_8_3_esk

### snova_25_8_3_shake_ssk

    public static final ASN1ObjectIdentifier snova_25_8_3_shake_ssk

### snova_25_8_3_shake_esk

    public static final ASN1ObjectIdentifier snova_25_8_3_shake_esk

### snova_29_6_5_ssk

    public static final ASN1ObjectIdentifier snova_29_6_5_ssk

### snova_29_6_5_esk

    public static final ASN1ObjectIdentifier snova_29_6_5_esk

### snova_29_6_5_shake_ssk

    public static final ASN1ObjectIdentifier snova_29_6_5_shake_ssk

### snova_29_6_5_shake_esk

    public static final ASN1ObjectIdentifier snova_29_6_5_shake_esk

### snova_37_8_4_ssk

    public static final ASN1ObjectIdentifier snova_37_8_4_ssk

### snova_37_8_4_esk

    public static final ASN1ObjectIdentifier snova_37_8_4_esk

### snova_37_8_4_shake_ssk

    public static final ASN1ObjectIdentifier snova_37_8_4_shake_ssk

### snova_37_8_4_shake_esk

    public static final ASN1ObjectIdentifier snova_37_8_4_shake_esk

### snova_37_17_2_ssk

    public static final ASN1ObjectIdentifier snova_37_17_2_ssk

### snova_37_17_2_esk

    public static final ASN1ObjectIdentifier snova_37_17_2_esk

### snova_37_17_2_shake_ssk

    public static final ASN1ObjectIdentifier snova_37_17_2_shake_ssk

### snova_37_17_2_shake_esk

    public static final ASN1ObjectIdentifier snova_37_17_2_shake_esk

### snova_49_11_3_ssk

    public static final ASN1ObjectIdentifier snova_49_11_3_ssk

### snova_49_11_3_esk

    public static final ASN1ObjectIdentifier snova_49_11_3_esk

### snova_49_11_3_shake_ssk

    public static final ASN1ObjectIdentifier snova_49_11_3_shake_ssk

### snova_49_11_3_shake_esk

    public static final ASN1ObjectIdentifier snova_49_11_3_shake_esk

### snova_56_25_2_ssk

    public static final ASN1ObjectIdentifier snova_56_25_2_ssk

### snova_56_25_2_esk

    public static final ASN1ObjectIdentifier snova_56_25_2_esk

### snova_56_25_2_shake_ssk

    public static final ASN1ObjectIdentifier snova_56_25_2_shake_ssk

### snova_56_25_2_shake_esk

    public static final ASN1ObjectIdentifier snova_56_25_2_shake_esk

### snova_60_10_4_ssk

    public static final ASN1ObjectIdentifier snova_60_10_4_ssk

### snova_60_10_4_esk

    public static final ASN1ObjectIdentifier snova_60_10_4_esk

### snova_60_10_4_shake_ssk

    public static final ASN1ObjectIdentifier snova_60_10_4_shake_ssk

### snova_60_10_4_shake_esk

    public static final ASN1ObjectIdentifier snova_60_10_4_shake_esk

### snova_66_15_3_ssk

    public static final ASN1ObjectIdentifier snova_66_15_3_ssk

### snova_66_15_3_esk

    public static final ASN1ObjectIdentifier snova_66_15_3_esk

### snova_66_15_3_shake_ssk

    public static final ASN1ObjectIdentifier snova_66_15_3_shake_ssk

### snova_66_15_3_shake_esk

    public static final ASN1ObjectIdentifier snova_66_15_3_shake_esk

### snova_75_33_2_ssk

    public static final ASN1ObjectIdentifier snova_75_33_2_ssk

### snova_75_33_2_esk

    public static final ASN1ObjectIdentifier snova_75_33_2_esk

### snova_75_33_2_shake_ssk

    public static final ASN1ObjectIdentifier snova_75_33_2_shake_ssk

### snova_75_33_2_shake_esk

    public static final ASN1ObjectIdentifier snova_75_33_2_shake_esk

### pqc_kem_ntruplus

    public static final ASN1ObjectIdentifier pqc_kem_ntruplus

  NTRU+

### ntruplus768

    public static final ASN1ObjectIdentifier ntruplus768

### ntruplus864

    public static final ASN1ObjectIdentifier ntruplus864

### ntruplus1152

    public static final ASN1ObjectIdentifier ntruplus1152

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD